<?xml version="1.0"?>
<!-- 
/*
 * Copyright 2001-2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
 -->

<document>

  <properties>
    <title>Tasks</title>
    <author email="dion@apache.org">dIon Gillard</author>
  </properties>

  <body>
    <section name="Tasks">
      <subsection name="To do">
        <ol>
          <li>upload poms for all artifacts
            <ul>
              <li>Up to ant-contrib in alphabetical order</li>
            </ul>
          </li>
          <li>Find the following projects:
            <ul>
              <li>excalibur-mpool - asl</li>
              <li>jstyle - used to be http://www.redrival.com/greenrd/java/jstyle</li>
              <li>struts-menu - no license on file. Have contacted authors</li>
              <li>textarea - looks like it used to be on sf.net?</li>
            </ul>
          </li>
          <li>download msv licenses and place on repo</li>
          <li>Remove javadoc directory once agreement reached</li>
          <li>deploy source code to ibiblio for all GPL licensed projects</li>
        </ol>
      </subsection>
      
      <subsection name="Done">
        <ol>
          <li>
            jsr94 - Download found @ http://jcp.org/aboutJava/communityprocess/review/jsr094/index.html
            as part of the spec. License is not conducive to distribution
          </li>
          <li>set up pom directories for all hosted groups</li>
          <li>Remove violations if any still exist (xsdlib* is the only one)</li>
          <li>Create license directories on ibiblio via jelly</li>
          <li>Upload licenses available via http via jelly</li>
          <li>Ensure all versions on ibiblio are covered by licenses</li>
        </ol>
      </subsection>
    </section>

  </body>
</document>
